#! /usr/bin/perl
#
# Scan all subdirectories and create the apropriate index.html page.
#
# $Header: /cvsroot/ac-archive/ac-archive-5/genindex.pl,v 1.4 2002/09/12 20:32:47 guidod Exp $
#
use strict;

#
# My variables.
#
my @categories;
my $name;
my $n;
my @files;

my $htm = "html";
$htm= "htm" if $ARGV[0] eq "htm";

#
# Open the output file and write the header.
#
open(OUTFILE, ">index.$htm") || die("Can't open index.$htm: $!");

#
# Find out what categories we have.
#
opendir(DIR, ".") || die("Can't open current directory: $!");
while($name = readdir(DIR)) {
    if (-d $name) {
	if (!($name =~ /^(\.|CVS)/)) {
	    push(@categories, $name);
	}
    }
}
@categories = sort(@categories);

#
# For each category, find the html files in it and list them.
#
foreach $n (@categories) {
    $name = $n;
    $name =~ s/_/ /g;
    if ($name =~ /^[a-z]\w*$/)
    {
        print OUTFILE ("<!-- $name -->\n");
        $name .= "\'s macros";
    }
    print OUTFILE ("<h2>$name:</h2>\n");
    print OUTFILE ("   <ul>\n");

    @files = <$n/*.$htm>;
    foreach $n (@files) {
	$name = $n;
	$name =~ s/.*\///;
	$name =~ s/\.\w+$/.m4/;
	print OUTFILE ("      <li> <a href=\"$n\">$name</a>\n");
    }
    print OUTFILE ("   </ul>\n");
    print OUTFILE ("<p>\n");

}
