dnl @* AX_EXPAND_PREFIX
dnl
dnl when $prefix and $exec_prefix are still set to NONE then set them
dnl to the usual default values - being based on $ac_default_prefix.
dnl - this macro can be AC_REQUIREd by other macros that need to
dnl compute values for installation directories. It has been observed
dnl that it was done wrong over and over again, so this is a bit
dnl more safe to do.
dnl
dnl remember - setting exec_prefix='${prefix}' needs you interpolate
dnl directories multiple times, it is not sufficient to just say
dnl MYVAR="${datadir}/putter" but you do have to run `eval` a few 
dnl times, sth. like MYVAR=`eval "echo \"$MYVAR\""` done atleast
dnl two times.
dnl 
dnl The implementation of this macro simply picks up the lines that
dnl would be run at the start of AC_OUTPUT anyway to set the
dnl prefix/exec_prefix defaults. Between AC_INIT and the first
dnl command to AC_REQUIRE this macro you can set the two variables
dnl to something explicit instead. Probably, any command to compute
dnl installation directories should be run _after_ AM_INIT_AUTOMAKE
dnl
dnl @: guidod@gmx.de
dnl @$Id: ax_expand_prefix.m4,v 1.1 2003/10/19 00:05:18 guidod Exp $

AC_DEFUN([AX_EXPAND_PREFIX],[dnl
  # The prefix default can be set in configure.ac (otherwise it is /usr/local)
  test "x$prefix" = xNONE && prefix=$ac_default_prefix
  # Let make expand exec_prefix. Allows to override the makevar 'prefix' later
  test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
])
