dnl @* PATCH_LIBTOOL_ON_DARWIN_ZSH_OVERQUOTING
dnl
dnl libtool 1.4.x has a bug on darwin where the "zsh" is installed
dnl as the bourne shell replacement. Of course, the zsh is called in
dnl a compatibility mode but there is a common problem with it,
dnl probably a bug of zsh. Newer darwin systems have a "bash"
dnl installed now, but the configure-default will be "zsh" in most
dnl systems still.
dnl
dnl The bug revelas itself as an overquoted statement in the
dnl libtool cmds-spec for sharedlib creation on testing for
dnl "module" builds. Later libtool has gone rid of it by simply
dnl removing the quotes at that point . Here we maintain the 
dnl original style and simply remove the extra escape character,
dnl i.e. we look for "archive_cmds" and replace a sequence of
dnl triple-backslash-and-doublequote with single-backslash-and-doublequote.
dnl 
dnl @= guidod@gmx.de
dnl $Id: patch_libtool_on_darwin_zsh_overquoting.m4,v 1.4 2003/03/24 16:58:21 guidod Exp $

AC_DEFUN([PATCH_LIBTOOL_ON_DARWIN_ZSH_OVERQUOTING],
[# libtool-1.4 specific, on zsh target the final requoting does one too much
case "$host_os" in
  darwin*)
    if grep "1.92" libtool >/dev/null ; then
AC_MSG_RESULT(patching libtool on .so-sharedlib creation (zsh overquoting))
      test -f libtool.old || (mv libtool libtool.old && cp libtool.old libtool)
      sed -e '/archive_cmds=/s:[[\\]][[\\]][[\\]]*":\\":g' libtool >libtool.new
      (test -s libtool.new || rm libtool.new) 2>/dev/null
      test -f libtool.new && mv libtool.new libtool # not 2>/dev/null !!
      test -f libtool     || mv libtool.old libtool
    fi
  ;;
esac
])